/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/rts/psi/t1iencod.h,v 1.2 2003/05/07 23:02:25 Lann Exp $ */
/* $Log: t1iencod.h,v $
/* Revision 1.2  2003/05/07 23:02:25  Lann
/* Revision V1_00_02
/*
/* Revision 1.1.1.1  2003/05/07 21:50:39  Lann
/* First Release Version
/* 
 * 
 *    Rev 1.4   07 Apr 1995 10:33:14   LISA
 * 
 * Changed copyright from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.3   22 Apr 1994 14:49:32   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.2   15 Jan 1993 10:28:48   LISA
 * Removed CtrlZ character from end of file
 * 
 *    Rev 1.1   14 Dec 1992 09:58:06   LISA
 * Made change to Log keyword
 * 
 *    Rev 1.0   10 Dec 1992 09:23:10   LISA
 * Initial revision.
*/
/* $Date: 2003/05/07 23:02:25 $ */
/* t1iencode.h */
/***********************************************************************
 *                                                                      *
 *                  Copyright (c) 1989 by                               *
 *                  Pipeline Associates, Inc., Morris Plains, NJ        *
 *                  All rights reserved.                                *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person except as allowed     *
 *   under  license.  No  title to and ownership of the software is     *
 *   hereby transferred.                                                *
 *                                                                      *
 *   This software is proprietary to Pipeline Associates, Inc., and     *
 *   is not to be disclosed without written permission from Pipeline    *
 *   Associates, Inc.                                                   *
 *                                                                      *
 ************************************************************************/
/*
REVISION HISTORY
-----------------------------------------------------------------------
09/27/91  rs	Original file created from Pipeline Associates 'encode.h'.
04/04/92  rs	Portability cleanup (see port.h).

*/
/*
 *  This array defines the names in the StandardEncoding array.
 *  This is really ugly, but we have to have some way to store
 *  this information and I couldn't find the appropriate elf to
 *  type it for me.
 *
 */

/*
Requires 'port.h'
*/

SB8 NOTDEF[] = ".notdef";

SB8  *stdencoding[256] = {
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  "space",  "exclam",  "quotedbl",  "numbersign",
  "dollar",  "percent",  "ampersand",  "quoteright",
  "parenleft",  "parenright",  "asterisk",  "plus",
  "comma",  "hyphen",  "period",  "slash",
  "zero",    "one",    "two",    "three",
  "four",    "five",    "six",    "seven",
  "eight",  "nine",    "colon",  "semicolon",
  "less",    "equal",  "greater",  "question",
  "at",    "A",    "B",    "C",
  "D",    "E",    "F",    "G",
  "H",    "I",    "J",    "K",
  "L",    "M",    "N",    "O",
  "P",    "Q",    "R",    "S",
  "T",    "U",    "V",    "W",
  "X",    "Y",    "Z",    "bracketleft",
  "backslash",  "bracketright",  "asciicircum",  "underscore",
  "quoteleft",  "a",    "b",    "c",
  "d",    "e",    "f",    "g",
  "h",    "i",    "j",    "k",
  "l",    "m",    "n",    "o",
  "p",    "q",    "r",    "s",
  "t",    "u",    "v",    "w",
  "x",    "y",    "z",    "braceleft",
  "bar",    "braceright",  "asciitilde",  NOTDEF,
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  NOTDEF,    "exclamdown",  "cent",    "sterling",
  "fraction",  "yen",    "florin",  "section",
  "currency",  "quotesingle",  "quotedblleft",  "guillemotleft",
  "guilsinglleft","guilsinglright","fi",    "fl",
  NOTDEF,    "endash",  "dagger",  "daggerdbl",
  "periodcentered",NOTDEF,    "paragraph",  "bullet",
  "quotesinglbase","quotedblbase","quotedblright","guillemotright",
  "ellipsis",  "perthousand",  NOTDEF,    "questiondown",
  NOTDEF,    "grave",  "acute",  "circumflex",
  "tilde",  "macron",  "breve",  "dotaccent",
  "dieresis",  NOTDEF,    "ring",    "cedilla",
  NOTDEF,    "hungarumlaut",  "ogonek",  "caron",
  "emdash",  NOTDEF,    NOTDEF,    NOTDEF,
  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,  NOTDEF,
  NOTDEF,    NOTDEF,    NOTDEF,    NOTDEF,
  NOTDEF,    "AE",    NOTDEF,    "ordfeminine",
  NOTDEF,    NOTDEF,    NOTDEF,    NOTDEF,
  "Lslash",  "Oslash",  "OE",    "ordmasculine",
  NOTDEF,    NOTDEF,    NOTDEF,    NOTDEF,
  NOTDEF,    "ae",    NOTDEF,    NOTDEF,
  NOTDEF,    "dotlessi",  NOTDEF,    NOTDEF,
  "lslash",  "oslash",  "oe",    "germandbls",
  NOTDEF,    NOTDEF,    NOTDEF,    NOTDEF
};


