/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/sys/inc/fmath.h,v 1.4 2003/05/07 23:45:01 Lann Exp $ */
/* $Log: fmath.h,v $
/* Revision 1.4  2003/05/07 23:45:01  Lann
/* Revision V1_00_04
/* 
 * 
 *    Rev 1.4   07 Apr 1995 11:31:34   LISA
 * 
 * Changed copyright information from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.3   22 Apr 1994 15:31:24   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.2   14 Jan 1993 11:06:10   LISA
 * Removed CntrlZ character
 * 
 *    Rev 1.1   14 Dec 1992 08:47:12   LISA
 * Made change to Log keyword
 * 
 *    Rev 1.0   09 Dec 1992 11:38:20   LISA
 * Initial revision.
*/
/* $Date: 2003/05/07 23:45:01 $ */
/* fmath.h */


/*
REVISION HISTORY
  --------------------------------------------------------------
13-Mar-92  rs	Add revision history. 'F_ONE' from 0x10000 to 0x10000L.
02-Apr-92  rs  Portability cleanup (see port.h).
07-Aug-92 jfd  Compatability w/WINDOWS 3.1 (FIXED->CGFIXED)
*/

#define FMATH_MUL_OV   1
#define FMATH_DIV0     2
#define FMATH_DIV_OV   3

#define F_ONE   0x10000L

#define I2F(x)   ((CGFIXED)x << 16)
#define F2I(x)   ((SW16)(x >> 16))

#ifdef LINT_ARGS
EXTERN SW16    ifmul(SW16, CGFIXED);
EXTERN CGFIXED   fmul(CGFIXED, CGFIXED);
EXTERN CGFIXED   fdiv(CGFIXED, CGFIXED);
#else
EXTERN  SW16   ifmul();
EXTERN  CGFIXED  fmul();
EXTERN  CGFIXED  fdiv();
#endif

EXTERN BOOLEAN  fmath_error;
EXTERN UW16    fmath_code;

