/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/sys/inc/profile.h,v 1.4 2003/05/07 23:45:01 Lann Exp $ */
/* $Log: profile.h,v $
/* Revision 1.4  2003/05/07 23:45:01  Lann
/* Revision V1_00_04
/* 
 * 
 *    Rev 1.4   07 Apr 1995 11:31:10   LISA
 * 
 * Changed copyright information from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.3   22 Apr 1994 15:31:28   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.2   14 Jan 1993 11:14:24   LISA
 * Removed CntrlZ character
 * 
 *    Rev 1.1   14 Dec 1992 08:46:18   LISA
 * Made change to Log keyword
 * 
 *    Rev 1.0   09 Dec 1992 11:37:36   LISA
 * Initial revision.
*/
/* $Date: 2003/05/07 23:45:01 $ */
/* profile.h */


/*
 *  Modification History:
 *  17-Jun-91  jfd   Changed prof_val declaration to use port.h defines
 *                  (FIX FROM EARLIER VERSION)
 *  04-Apr-92  rs   Portability cleanup (see port.h).
 */

/*--------------------------------------*/
/*    Timing Profiles                   */
/*--------------------------------------*/
/*  Exclude profile feature when time_val >= equates below */

EXTERN SW16  prof_val;

#define PROF_metrics       1   /* metric */
#define PROF_margin        2
#define PROF_fill          3   /* fill */
#define PROF_rast_tran     4   /* transition production */
#define PROF_rast_loop     5   /* tran direction and count */
#define PROF_nxy           6   /* nxy() */
#define PROF_nxt_pt        7   /* nxt_pt() */
#define PROF_raster        8   /* raster init and nxt_pt() */
#define PROF_xskel         9   /* xskel */
#define PROF_yskel         10  /* yskel */
#define PROF_yclass        11  /* y lines */
#define PROF_txy_skel_init 12  /* scale skels to working bm space */
#define PROF_skeletal_init 13  /* loop overhead of above */
#define PROF_MAKbitMap     14
#define PROF_MAKfontSize   15
#define PROFILE_CT         16

