/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/rts/psi/t1ihints.h,v 1.2 2003/05/07 23:02:25 Lann Exp $ */
/* $Log: t1ihints.h,v $
/* Revision 1.2  2003/05/07 23:02:25  Lann
/* Revision V1_00_02
/*
/* Revision 1.1.1.1  2003/05/07 21:50:39  Lann
/* First Release Version
/* 
 * 
 *    Rev 1.4   07 Apr 1995 10:33:12   LISA
 * 
 * Changed copyright from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.3   22 Apr 1994 14:49:30   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.2   15 Jan 1993 10:29:36   LISA
 * Removed CtrlZ character from end of file
 * 
 *    Rev 1.1   14 Dec 1992 09:59:48   LISA
 * Made change to Log keyword
 * 
 *    Rev 1.0   10 Dec 1992 09:23:08   LISA
 * Initial revision.
*/
/* $Date: 2003/05/07 23:02:25 $ */
/* t1ihints.h */
/*************************************************************************
 *                                                                       *
 *                 Copyright (c) 1989, 1990, 1991 by                     *
 *            Pipeline Associates, Inc., Morris Plains, NJ               *
 *                        All rights reserved.                           *
 *                                                                       *
 *   This software is furnished under a license and may be used and      *
 *   copied  only  in accordance with the terms of such license and      *
 *   with the  inclusion  of  the  above  copyright  notice.   This      *
 *   software  or  any  other copies thereo0f may not be provided or     *
 *   otherwise made available to any other person except as allowed      *
 *   under  license.  No  title to and ownership of the software is      *
 *   hereby transferred.                                                 *
 *                                                                       *
 *   This software is proprietary to Pipeline Associates, Inc., and      *
 *   is not to be disclosed without written permission from Pipeline     *
 *   Associates, Inc.                                                    *
 *                                                                       *
 ************************************************************************/
/*
REVISION HISTORY
-----------------------------------------------------------------------
09/27/91  rs	Original file created from Pipeline Associates 'hints.h'.
04/04/92  rs	Portability cleanup (see port.h).
*/
 
/*
*  t1ihints.h -- defines the hint structure (for PostScript Type 1 output)
*
* ('port.h' must be included prior to this file)
*/
#ifndef __HINTS__
#define __HINTS__

typedef struct {
	SW16 hint;		/* position of this hint in character units */
	SL32 pixscale;	/* scale factor for interpolation */
	SL32 pixel;		/* scaled value in pixel space for this hint */
} T1I_HINT_STR, *PT1I_HINT_STR;
#endif /* __HINTS__ */

