/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/rts/psi/t1iproto.h,v 1.2 2003/05/07 23:02:27 Lann Exp $ */
/* $Log: t1iproto.h,v $
/* Revision 1.2  2003/05/07 23:02:27  Lann
/* Revision V1_00_02
/*
/* Revision 1.1.1.1  2003/05/07 21:50:39  Lann
/* First Release Version
/* 
 * 
 *    Rev 1.11   07 Apr 1995 10:33:10   LISA
 * 
 * Changed copyright from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.10   22 Apr 1994 14:49:28   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.9   01 Dec 1993 09:26:54   JOE
 * 
 * Changed KANJI_ENCODING to ASIAN_ENCODING.
 * 
 *    Rev 1.8   08 Jun 1993 18:00:52   ROB
 * Pipeline upgrade with type 1 quality improvements & multimaster support.
 * 
 *    Rev 1.7   03 May 1993 10:20:52   ROB
 * Modify prototype for 'bluescale()' to accept SL32 instead of SW16.
 * 
 *    Rev 1.6   23 Apr 1993 14:48:56   ROB
 * Fix typo in non LINT_ARGS form of extern 'stemsnapv()'.
 * 
 *    Rev 1.5   19 Mar 1993 11:42:18   JOE
 * **ROB** Changes for Kanji support.
 * 
 *    Rev 1.4   03 Mar 1993 19:56:10   ROB
 * Something went wrong on the last put, this file is correct - rs.
 * Add externs for 'stemsnaph()' & 'stemsnapv()'.
 * 
 *    Rev 1.2   15 Jan 1993 10:29:30   LISA
 * Removed CtrlZ character from end of file
 * 
 *    Rev 1.1   14 Dec 1992 09:58:40   LISA
 * Made change to Log keyword
 * 
 *    Rev 1.0   10 Dec 1992 09:23:04   LISA
 * Initial revision.
*/
/* $Date: 2003/05/07 23:02:27 $ */
/* t1iproto.h */
/*************************************************************************
 *                                                                       *
 *                 Copyright (c) 1989, 1990, 1991 by                     *
 *            Pipeline Associates, Inc., Morris Plains, NJ               *
 *                        All rights reserved.                           *
 *                                                                       *
 *   This software is furnished under a license and may be used and      *
 *   copied  only  in accordance with the terms of such license and      *
 *   with the  inclusion  of  the  above  copyright  notice.   This      *
 *   software  or  any  other copies thereo0f may not be provided or     *
 *   otherwise made available to any other person except as allowed      *
 *   under  license.  No  title to and ownership of the software is      *
 *   hereby transferred.                                                 *
 *                                                                       *
 *   This software is proprietary to Pipeline Associates, Inc., and      *
 *   is not to be disclosed without written permission from Pipeline     *
 *   Associates, Inc.                                                    *
 *                                                                       *
 ************************************************************************/
/*
REVISION HISTORY
-----------------------------------------------------------------------
09/27/91  rs    Original file created from Pipeline Associates 'protos.h'.
10/28/91  rs    Change VOID Subdivide() to UWORD for interface w/raster().
01/21/92  rs   Modify Subdivide() prototype, calls 'ras_lineto() directly.
01/29/92  rs   Add PBUCKET to 'psrender()' args.
02/10/92  rs   Add proto for 'more_charstrings()'.
03/10/92  rs   Remove 'matcopy()', 'matconcat()' & 'matscale()', not used.
04/04/92  rs    Portability cleanup (see port.h).
05/08/92  rs    Add prototype for 'PCPCLload_font()'.
07/08/92  jfd/rs Modified type1char() to support width only.
08-Aug-92 rs    Changed SW16 arg in hstem(), hstem6(), vstem() & vstem6()
                    from SW16 to int. Fatal error in Watcom C386.
22-Nov-92 rs    Port to Macintosh - blue_values() & other_blues() - change
                SW16 to int.
02-Mar-93 rs   Add 'stemsnaph()' & 'stemsnapv()' externs.
15-Mar-93 rs   Modify for UFST ASIAN (JIS_ENCODING).
23-Apr-93 rs   Fix typo for no LINT_ARGS entry of 'stemsnapv()'.
30-Apr-93 rs   Change 'bluescale(SW16)' to 'bluescale(SL32)'.
13-May-93 rs   Integrate Pipeline upgrade.
29-May-93 rs   Add support for generic type 1 soft font loader - either
               'PSPCLload_font()' or 'PSSFNT_load_font()'.
06-Jun-93 rs   Add multimaster support 'T1MMASTER', add_weights().
01-Dec-93 jfd  Changed KANJI_ENCODING to ASIAN_ENCODING.
*/
 
/*
Requires 'port.h'
*/

#ifdef LINT_ARGS
EXTERN VOID (*transptr) (SL32, SL32, LPSL32, LPSL32);
EXTERN int reader (VOID);
EXTERN int t1setup (VOID);
EXTERN VOID transfn (SL32, SL32, LPSL32, LPSL32);
EXTERN int t1startchar (SL32, SL32, SL32);
EXTERN int t1makechar (VOID);
EXTERN int t1endchar (VOID);
EXTERN int inithints (VOID);
EXTERN int vstem (SL32, SL32);
EXTERN int hstem (SL32, SL32);
EXTERN int vstem6 (LPSL32);
EXTERN int hstem6 (LPSL32);
EXTERN int t1closepath (VOID);
EXTERN int t1moveto (SL32, SL32);
EXTERN int t1lineto (SL32, SL32);
EXTERN int t1curveto (SL32, SL32, SL32, SL32, SL32, SL32);
EXTERN int flexproc (SL32, SL32, LPSL32, LPSL32, SL32);
EXTERN VOID stdhwx (SW16);
EXTERN VOID stdvwx (SW16);
EXTERN VOID blueshift (SL32);
EXTERN VOID bluescale (SL32);
EXTERN VOID blue_values (LPSW16, int);
EXTERN VOID other_blues (LPSW16, int);
EXTERN int type1char (PCDATASTR, int);
EXTERN int Subdivide (INTR, INTR, INTR, INTR, INTR, INTR, INTR, INTR, INTR);
EXTERN int more_charstrings (LPSB8, int);
#if PST1_PCLEOI
EXTERN UW16 PSPCLload_font (LPUB8);
#endif
#if PST1_SFNTI
EXTERN UW16 PSSFNTload_font (PFONT_DES);
EXTERN int  t1sfnt_info_callback (PFONT_DES, PPS_BUCK);
EXTERN int get_t1sfnt_number_of_subrs (PFONT_DES);      /* MOVE TO APPLIC */
EXTERN int get_t1sfnt_subrs (PFONT_DES, PSUBS_STR);     /* MOVE TO APPLIC */
EXTERN SL32 get_t1sfnt_UniqueID (PFONT_DES); /* MOVE TO APPLIC  */
#endif
EXTERN void stemsnaph (LPSW16, int);
EXTERN void stemsnapv (LPSW16, int);
EXTERN VOID t1startread (VOID);
EXTERN int  t1scanone (VOID);
EXTERN int  get_matrix (VOID);
EXTERN int  get_stdhw (VOID);
EXTERN int  get_stdvw (VOID);
EXTERN int  get_blues (VOID);
#if (ASIAN_ENCODING)
EXTERN int  ps0load_font (LPSB8 basename);
EXTERN VOID free_COD (PPS_BUCK lpps);
EXTERN UW16 ps0set_char (UW16 chId);
#endif /* ASIAN_ENCODING */
#if (T1MMASTER)
EXTERN int add_weights (PFPNUM vals, int n);
EXTERN int MMsetup (VOID);
#endif /* T1MASTER */

#else /* NO LINT_ARGS */
EXTERN VOID (*transptr) ();
EXTERN int t1setup ();
EXTERN int t1startchar ();
EXTERN int t1makechar ();
EXTERN int t1endchar ();
EXTERN VOID transfn ();
EXTERN int inithints ();
EXTERN int vstem ();
EXTERN int hstem ();
EXTERN int vstem6 ();
EXTERN int hstem6 ();
EXTERN int t1closepath ();
EXTERN int t1moveto ();
EXTERN int t1lineto ();
EXTERN int t1curveto ();
EXTERN int flexproc ();
EXTERN VOID stdhwx ();
EXTERN VOID stdvwx ();
EXTERN VOID blueshift ();
EXTERN VOID bluescale ();
EXTERN VOID blue_values ();
EXTERN VOID other_blues ();
EXTERN int type1char ();
EXTERN int Subdivide ();
EXTERN int more_charstrings ();
EXTERN void stemsnaph ();
EXTERN void stemsnapv ();
#if PST1_PCLEOI
EXTERN UW16 PSPCLload_font ();
#endif
#if PST1_SFNTI
EXTERN UW16 PSSFNTload_font ();
EXTERN int  t1sfnt_info_callback ();   /* MOVE TO APPLIC */
EXTERN int get_t1sfnt_number_of_subrs ();      /* MOVE TO APPLIC */
EXTERN int get_t1sfnt_subrs ();     /* MOVE TO APPLIC */
EXTERN SL32 get_t1sfnt_UniqueID (); /* MOVE TO APPLIC  */
#endif
EXTERN VOID t1startread ();
EXTERN int  t1scanone ();
EXTERN int  get_matrix ();
EXTERN int  get_stdhw ();
EXTERN int  get_stdvw ();
EXTERN int  get_blues ();
#if (ASIAN_ENCODING)
EXTERN int ps0load_font ();
EXTERN VOID free_COD ();
EXTERN UW16 ps0set_char ();
#endif
#if (T1MMASTER)
EXTERN int add_weights ();
EXTERN int MMsetup ();
#endif /* T1MASTER */

#endif /* LINT_ARGS */

