/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/rts/tt/mapstrin.h,v 1.2 2003/05/07 23:02:30 Lann Exp $ */
/* $Log: mapstrin.h,v $
/* Revision 1.2  2003/05/07 23:02:30  Lann
/* Revision V1_00_02
/*
/* Revision 1.1.1.1  2003/05/07 21:50:39  Lann
/* First Release Version
/* 
 * 
 *    Rev 1.4   07 Apr 1995 11:20:00   LISA
 * 
 * Changed copyright information from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.3   22 Apr 1994 15:00:18   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.2   15 Jan 1993 10:26:08   LISA
 * Removed CtrlZ character from end of file
 * 
 *    Rev 1.1   14 Dec 1992 09:53:34   LISA
 * Made change to Log keyword
 * 
 *    Rev 1.0   10 Dec 1992 09:17:42   LISA
 * Initial revision.
*/
/* $Date: 2003/05/07 23:02:30 $ */
/*
   File:    MapString.h

	Contains:	Char2glyph calls

	Written by:	Mike Reed

 

   Copyright:  1990 by Apple Computer, Inc., all rights reserved.



    Change History (most recent first):

    AGFA changes:

       28-Apr-92  mby   Conditionally compile function protos for LINT_ARGS.

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

		 <2+>	 7/11/91	CKL		Added standard header conditionals
		 <2>	 8/10/90	MR		Add textLength to MapString2
		 <1>	 7/23/90	MR		first checked in
				 7/23/90	MR		xxx put comment here xxx

	To Do:
*/

#ifndef __MAPSTRING__
#define __MAPSTRING__

#ifdef LINT_ARGS
long MapString0(uint8* map, uint8* charCodes, int16* glyphs, long glyphCount);
long MapString2(uint16* map, uint8* charCodes, int16* glyphs, long glyphCount, long* textLength);
long MapString4_8(uint16* map, uint8* charCodes, int16* glyphs, long glyphCount);
long MapString4_16(uint16* map, uint16* charCodes, int16* glyphs, long glyphCount);
long MapString6_8(uint16* map, uint8* charCodes, int16* glyphs, long glyphCount);
long MapString6_16(uint16* map, uint16* charCodes, int16* glyphs, long glyphCount);

#else /* !LINT_ARGS */

long MapString0();
long MapString2();
long MapString4_8();
long MapString4_16();
long MapString6_8();
long MapString6_16();
#endif /* LINT_ARGS */


#endif  /* __MAPSTRING__ */

/* -------------------------------------------------------------------
                            END OF "MapString.h"
   ------------------------------------------------------------------- */

