/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/sys/inc/imath.h,v 1.4 2003/05/07 23:45:01 Lann Exp $ */
/* $Log: imath.h,v $
/* Revision 1.4  2003/05/07 23:45:01  Lann
/* Revision V1_00_04
/* 
 * 
 *    Rev 1.4   07 Apr 1995 11:31:10   LISA
 * 
 * Changed copyright information from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.3   22 Apr 1994 15:31:36   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.2   14 Jan 1993 11:06:02   LISA
 * Removed CntrlZ character
 * 
 *    Rev 1.1   14 Dec 1992 08:46:42   LISA
 * Made change to Log keyword
 * 
 *    Rev 1.0   09 Dec 1992 11:37:38   LISA
 * Initial revision.
*/
/* $Date: 2003/05/07 23:45:01 $ */
/* imath.h */


/* History:
 *   3-Feb-91  awr  added lint args, removed scale_rem(), updated copyright.
 *  11-Nov-91  rs   add prototypes for 'cg_scale()'.
 *  02-Apr-92  rs   Portability cleanup (see port.h).
 */

#ifdef LINT_ARGS
EXTERN SW16       tx(SW16);
EXTERN SW16       ty(SW16);
EXTERN SW16VECTOR nxy(SW16VECTOR);
EXTERN SW16       scale_iii(SW16, SW16, SW16);
EXTERN SW16VECTOR cg_scale (SW16VECTOR);
#else
EXTERN SW16       tx();
EXTERN SW16       ty();
EXTERN SW16VECTOR nxy();
EXTERN SW16       scale_iii();
EXTERN SW16VECTOR cg_scale ();
#endif

