/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/sys/inc/lmath.h,v 1.4 2003/05/07 23:45:01 Lann Exp $ */
/* $Log: lmath.h,v $
/* Revision 1.4  2003/05/07 23:45:01  Lann
/* Revision V1_00_04
/* 
 * 
 *    Rev 1.4   07 Apr 1995 11:31:08   LISA
 * 
 * Changed copyright information from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.3   22 Apr 1994 15:31:24   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.2   14 Jan 1993 11:06:20   LISA
 * Removed CntrlZ character
 * 
 *    Rev 1.1   14 Dec 1992 08:47:38   LISA
 * Made change to Log keyword
 * 
 *    Rev 1.0   09 Dec 1992 11:37:22   LISA
 * Initial revision.
*/
/* $Date: 2003/05/07 23:45:01 $ */
/* lmath.c */


/*
 *
 *  28-Jul-90 awr  created
 *  30-Jan-91 dET  Added function prototyping for MSC
 *  02-Apr-92 rs   Portability cleanup (see port.h).
 */

typedef struct
        {
            UL32 lo;
            UL32 hi;
        } DLONG;
typedef DLONG FARPTR * PDLONG;

#ifdef LINT_ARGS
EXTERN DLONG LONG_2_DLONG(LONG);
EXTERN DLONG Lneg(DLONG);
EXTERN DLONG Ladd(DLONG, DLONG);
EXTERN DLONG Lsub(DLONG, DLONG);
EXTERN DLONG Lmul(SL32, SL32);
EXTERN SL32  Ldiv(DLONG, SL32);
#else
EXTERN DLONG LONG_2_DLONG();
EXTERN DLONG Lneg();
EXTERN DLONG Ladd();
EXTERN DLONG Lsub();
EXTERN DLONG Lmul();
EXTERN SL32  Ldiv();
#endif

#define HIBIT 0x80000000
#define DLABS(x)  (HIBIT&x.hi ? Lneg(x) : x)

EXTERN UW16 Lmath_code;

