/* Copyright (C) 1989, 1990, 1991, 1992, 1993, 1994, 1995 all rights reserved, 
 * by Bayer Corp., Agfa Division, Wilmington, MA.
 *
 * This software is furnished under a license and may be used and
 * copied only in accordance with the terms of such license and with
 * the inclusion of the above copyright notice. This software or any
 * other copies thereof may not be provided or otherwise made
 * available to any other person except as allowed under license. No
 * title to and ownership of the software is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
/* $Header: /usr/local/cvsrep/Genesis/ufst/sys/inc/tr_type.h,v 1.4 2003/05/07 23:45:01 Lann Exp $ */
/* $Log: tr_type.h,v $
/* Revision 1.4  2003/05/07 23:45:01  Lann
/* Revision V1_00_04
/*
 * 
 *    Rev 1.6   07 Apr 1995 11:31:28   LISA
 * 
 * Changed copyright information from Miles Inc. to Bayer Corp.
 * 
 *    Rev 1.5   22 Apr 1994 15:31:22   LISA
 * 
 * Made modifications to copyright/disclaimer notice.
 * 
 *    Rev 1.4   14 Jan 1993 11:13:54   LISA
 * Removed CntrlZ character
 * 
 *    Rev 1.3   16 Dec 1992 12:58:48   ROB
 * Just fixed a typo.
 * 
 *    Rev 1.2   14 Dec 1992 18:12:54   ROB
 * Fixed missing closing comment in file header information.
 * 
 *    Rev 1.1   14 Dec 1992 08:45:58   LISA
 * No change.
 * 
 *    Rev 1.0   09 Dec 1992 11:37:44   LISA
 * Initial revision.
 */
/* $Date: 2003/05/07 23:45:01 $ */
/* tr_type.h */

/* History:
 * 
 * 20-Dec-90  dET  add support for MSC multi-model compilation.
 * 19-May-91  awr  removed unused field "margin"
 * 02-Apr-92  rs   Portability cleanup (see port.h).
 */

/* 40 SB8s */
typedef struct
{

  /* the current transform */

    SW16  num,den;
    SW16  old0;
    SW16  new0;     /* adjusted coordinate values */
    SW16  half_den;

/*-------- above is locked for assembly language access */

    SW16  old1;
    SW16  new1;

    LPUB8 num_skel_loop;   /* Number of skeletal points in next loop */
    PADJUSTED_SKEL skel;    /*  ptr to original & adjusted values */
                            /*  of next segment end               */
    LPUW16 skel_to_contr;   /*  skel indices to contr             */

    SW16  nsk;  /* number of skels in current loop */

  /* Current character */

    SW16 end;   /* end vector number in scaling  segment */
    SW16 sct;   /* number of skels processed in current loop  */

    /* Values at the start of a loop. These values will also */
    /* be used at the end of the loop.                       */

        SW16  num0,den0;
        SW16  half_den0;
        SW16  end0;
        SW16  old00;
        SW16  new00;
} TRAN;
typedef TRAN FARPTR * PTRAN;


